Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.compat.preparer
Class UrlPreparer

    java.lang.Object
      org.apache.tiles.preparer.ViewPreparerSupport
          org.apache.tiles.compat.preparer.UrlPreparer

All Implemented Interfaces:
  ViewPreparer

    public class UrlPreparer

extends ViewPreparerSupport

Uses a URL that acts as a preparer. When `ViewPreparer.execute(TilesRequestContext, AttributeContext)` is called, the URL is got, but its response is discarded.

Since:
  2.1.0
Version:
  $Rev: 709151 $ $Date: 2008-10-30 13:36:29 +0100 (gio, 30 ott 2008) $

Constructor Summary
`UrlPreparer(java.lang.String url)` Constructor.

Method Summary
`void` | `execute(TilesRequestContext tilesContext, AttributeContext attributeContext)` Method associated to a tile and called immediately before the tile is included.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UrlPreparer

    public UrlPreparer(java.lang.String url)

  Constructor.

  Parameters:
    `url` - The URL to be used as a preparer.

Method Detail

### execute

    public void execute(TilesRequestContext tilesContext,
                        AttributeContext attributeContext)

  Method associated to a tile and called immediately before the tile is included.

  Specified by:
    `execute` in interface `ViewPreparer`
  Overrides:
    `execute` in class `ViewPreparerSupport`
  Parameters:
    `tilesContext` - Current tiles application context.
    `attributeContext` - Current tile context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.